Subject: bug#71822: closed (Re: bug#71822: Feature request: fullwidth to halfwidth)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Mar 2025 13:28:02 +0000

Your bug report

#71822: Feature request: fullwidth to halfwidth

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71822: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71822
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71822: Feature request: fullwidth to halfwidth
From: Eli Zaretskii <[email-masked]>
To: Dan Jacobson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 02 Mar 2025 15:27:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dan Jacobson <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Sun, 30 Jun 2024 21:55:56 +0800
> 
> Indeed,
> japanese-hankaku-region
> japanese-zenkaku-region
> work. So maybe they should
> be available as
> halfwidth-woed
> halfwidth-region
> fullwidth-word
> fullwidth-region etc.
> in emacs -Q.

I eventually decided to write new commands, because the above
japanese-* commands are too specific to the Japanese users: for
example, they convert kana characters as well.

So there are now new commands fullwidth-region, fullwidth-word,
halfwidth-region, and halfwidth-word, which will be in Emacs 31 when
it is released.

With that, I'm closing this bug.

Subject: Feature request: fullwidth to halfwidth
From: Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jun 2024 17:06:55 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

M-l runs the command downcase-word.
That's great. But here's a feature request:
Have commands that can change wide to narrow,
with the same ease as M-l.
E.g., change ２０９Ｍ into 209M.
and another command to do the opposite.
OK, I guess they are called fullwidth and halfwidth.